#ifndef SFORMAT_CTRL_H
#define SFORMAT_CTRL_H

/*
  S-Format t@CǗ
  Satofumi KAMIMURA
  $Id$
*/

#include <vector>
#include <string>


class SFormat_Ctrl {
  int debug_level;
  static int hex2int(char ch);
  std::string error_message;

public:
  std::vector<char> text;
  typedef struct {
    char type;
    char data_size;
    long address;
    char byte_data[49];
  } srec_t;

  SFormat_Ctrl(void);
  ~SFormat_Ctrl(void);
  const char* what(void);
  bool load(const char* file);

  static int parseSFormat(srec_t* srec, const char* line);
};

#endif /* !SFORMAT_CTRL_H */
